// Keel bottom bracket
// 2020-10-02

// Parameters
gru1=3;
sep_plates=60;
a_plate=50;
b_plate=10;
r_bo=20;
s_plate=20;

// Keel fisrt hole
kfh_dia=5;
kfh_shf=15;
// Keel second hole
ksh_dia=5;
ksh_shf=0;


module kbbracket1(a_plate,b_plate,sep_plates) {

// Set tot (0,0,0)
translate([0,0,-s_plate-b_plate*0.5])
rotate([90,0,90])

difference () {
union()    {
//Left plate
translate([0,0,sep_plates*0.5])
color ("grey") 
hull() {
   translate([0,s_plate,gru1*0.5]) cube([a_plate,b_plate,3], center=true);
   translate([0,0,0]) cylinder(r=r_bo,h=3, $fn=50);
}
//Right plate
translate([0,0,-sep_plates*0.5])
color ("grey") 
hull() {
   translate([0,s_plate,gru1*0.5]) cube([a_plate,b_plate,3], center=true);
   translate([0,0,0]) cylinder(r=r_bo,h=3, $fn=50);
}
// Top
color("grey")
translate([0,s_plate+b_plate*0.5,0])
rotate([90,0,0])
translate([0,0,gru1*0.5]) cube([a_plate,sep_plates,3], center=true);
}
translate([0,0,0]) color([1,0,0]) cylinder(r=4.5,h=200,center=true, $fn=50);
translate ([kfh_shf,0,0]) rotate([90,0,0]) color([1,0,0]) cylinder(d=kfh_dia,h=200,center=true, $fn=50);
translate ([ksh_shf,0,0]) rotate([90,0,0]) color([1,0,0]) cylinder(d=ksh_dia,h=200,center=true, $fn=50);
}

}

//kbbracket1(50,10,80);

