// Keel saddle
// 20201002

// Parameters
ks_disp=0;
ks_a=30;
ks_b=50;
ks_e1=3;
ks_e2=5;
keel_rad=22.5;
// Holes
kfh_shf=10;
kfh_dia=5;
ksh_shf=0;
ksh_dia=5;

module keelsaddle1(ks_a,ks_b) {

// Keel saddle
difference () {
 translate([0,0,ks_disp+0.5*(ks_e1+ks_e2)]) color("black") cube([ks_a,ks_b,ks_e1+ks_e2], center=true);
 translate([0,0,ks_disp+keel_rad+ks_e1]) rotate([90,0,0]) color("red") cylinder(r=keel_rad,h=ks_b+10,center=true, $fn=50);
 translate([0,kfh_shf,0]) color([1,0,0]) cylinder(d=kfh_dia,h=200,center=true, $fn=50);
 translate([0,ksh_shf,0]) color([1,0,0]) cylinder(d=ksh_dia,h=200,center=true, $fn=50);  
}

}

//keelsaddle1();