// Nose plate type 1
// 20201003

np_a=60;
np_b=10;
np_c=50;
np_r=18;
np_thk=3; //3=aluminum 1.5=stainless steel
np_df=7; //hole radius


module noseplate1(np_a,np_b,np_c,np_r,np_thk) {
    
difference () {
color ("grey")
hull () {
   translate([0,0,0]) cylinder(r=np_r,h=np_thk, $fn=50);
   translate([-np_a,np_b,0]) cylinder(r=np_r,h=np_thk, $fn=50);
   translate([np_a,np_b,0]) cylinder(r=np_r,h=np_thk, $fn=50);
   translate([0,np_c,0]) cylinder(r=np_r,h=np_thk, $fn=50);
}
	translate ([0,0,0]) color ([1,0,0]) cylinder (h = 200, d=np_df, center = true, $fn=30);
	translate ([-np_a,np_b,0]) color ([1,0,0]) cylinder (h = 200, d=np_df, center = true, $fn=30);
	translate ([np_a,np_b,0]) color ([1,0,0]) cylinder (h = 200, d=np_df, center = true, $fn=30);
	translate ([0,np_c,0]) color ([1,0,0]) cylinder (h = 200, d=np_df, center = true, $fn=30);
}

}

//noseplate1(60,10,50,18,3);
