// Tube along Y axys

// Defaults
llarg=1500;  // mm
dia_ext=52; // mm
dia_int=50;  // mm
inser=100; // mm insertion
$fn=30;

//Hole 1
h1_set=1;
h1_dia=7;
h1_typ=1;
h1_ins=20;
h1_rot=45;
//Hole 2
h2_set=1;
h2_dia=7;
h2_typ=1;
h2_ins=20;
h2_rot=45;
//Hole 3
h3_set=1;
h3_dia=7;
h3_typ=1;
h3_ins=20;
h3_rot=45;
//Hole 4
h4_set=1;
h4_dia=7;
h4_typ=1;
h4_ins=20;
h4_rot=45;

module tube2(llarg,dia_ext,dia_int,inser,
h1_dia,h1_typ,h1_ins,h1_rot,
h2_dia,h2_typ,h2_ins,h2_rot,
h3_dia,h3_typ,h3_ins,h3_rot,
h4_dia,h4_typ,h4_ins,h4_rot
) {

translate([0,inser,0])
rotate([-90,0,0])

difference () {
color ([0.8,0.8,0.0]) cylinder (llarg,dia_ext/2,dia_ext/2);
translate ([0,0,-5])
color ([0.8,0.8,0.0]) cylinder (llarg+10,dia_int/2,dia_int/2);
color([1,0,0]) rotate([0,0,h1_rot]) translate([0,-10*(2-h1_typ),h1_ins]) rotate ([90,0,0]) cylinder (dia_ext,d=h1_dia,center=true);
color([1,0,0]) rotate([0,0,h2_rot]) translate([0,-10*(2-h2_typ),h2_ins]) rotate ([90,0,0]) cylinder (dia_ext,d=h2_dia,center=true);   
color([1,0,0]) rotate([0,0,h3_rot]) translate([0,-10*(2-h3_typ),h3_ins]) rotate ([90,0,0]) cylinder (dia_ext,d=h3_dia,center=true);
color([1,0,0]) rotate([0,0,h4_rot]) translate([0,-10*(2-h4_typ),h4_ins]) rotate ([90,0,0]) cylinder (dia_ext,d=h4_dia,center=true);   
}
}

//tube2 (300,52,50,0,
//7,2,20,0,
//7,2,50,0,
//7,2,250,90,
//7,2,280,0);


